Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 157059

Summary: CAN-2005-1260 - bzip2 decompression bomb vulnerability
Product: [Retired] Fedora Legacy Reporter: Dominic Hargreaves <dom>
Component: bzip2Assignee: Fedora Legacy Bugs <bugs>
Status: CLOSED DUPLICATE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: fc1CC: jkeating, marc.deslauriers
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://scary.beasts.org/security/d5d5466da311d907/CESA-2005-002.txt
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-11-05 05:55:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 157057    
Bug Blocks:    

Description Dominic Hargreaves 2005-05-06 15:17:14 UTC
+++ This bug was initially created as a clone of Bug #157057 +++

Whilst playing with "random bitflipping" technology, an effective decompression
bomb attack against bzip2 was identified. bzip2 can be made to decompress
into a file indefinitely when it encounters a suitably corrupt bzip2 archive.

Demo bz2 archive:
http://scary.beasts.org/security/d5d5466da311d907/bomb.bz2

Fixed in 1.0.3.

No disclosure date yet.

Comment 1 David Eisenstein 2005-11-04 20:41:45 UTC
Removing security flag & This bug duplicates bug 158801.
Should be closed DUPLICATE.

Comment 2 Pekka Savola 2005-11-05 05:55:16 UTC

*** This bug has been marked as a duplicate of 158801 ***